devsettings::Snmp_1_0_2 Interface Reference

SNMP agent settings interface. More...

`import"Snmp.idl";`

## Classes

struct | Configuration
| SNMP agent configuration. More...

## Public Member Functions

Configuration | getConfiguration ()
| Retrieve the SNMP agent configuration. More...
int | setConfiguration (in Configuration cfg)
| Set the SNMP agent configuration. More...
string | getV3EngineId ()
| Retrieve the SNMP V3 Engine ID. More...

## Public Attributes

constant int | ERR_INVALID_PARAMS = 1
| Invalid parameters.
valueobject | ConfigurationChangedEvent: idl::Event { string userName
| user who triggered event
string | ipAddr
| ip or device on which user is logged in
Configuration | oldConfig
| old configuration
Configuration | newConfig
| new configuration

## Detailed Description

SNMP agent settings interface.

## Member Function Documentation

## getConfiguration()

Configuration devsettings::Snmp_1_0_2::getConfiguration | ( |  | ) |

Retrieve the SNMP agent configuration.

Returns
  SNMP agent configuration

## getV3EngineId()

string devsettings::Snmp_1_0_2::getV3EngineId | ( |  | ) |

Retrieve the SNMP V3 Engine ID.

Returns
  SNMP V3 Engine ID

## setConfiguration()

int devsettings::Snmp_1_0_2::setConfiguration | ( | in Configuration | cfg | ) |

Set the SNMP agent configuration.

Parameters

  cfg | New SNMP agent settings

Returns
  0 if OK
  1 if any parameters are invalid

The documentation for this interface was generated from the following file:

- pdu-json-rpc-api/idl/Snmp.idl